Updates an existing service resource with the provided properties. Only the fields included in the request body will be modified; omitted fields remain unchanged.
To set a service as the default for the project, include "isDefault": true in the request. Note that each project can have only one default service. Setting a new default will automatically remove the default status from the previously designated service. "isDefault": false is invalid and will not be accepted by the API.
Client-generated idempotency key to safely retry requests. The server uses this key to recognize retries of the same request. If a request with the same key is received within 10 minutes, the server returns the cached response from the original request. Using a random UUID (v4) is strongly recommended.
Voice service name. No leading or trailing whitespaces allowed.
Description of the service
Indicates whether this service is set as the default for the project. The default service is used when no specific service is specified in API requests. Note: when updating a service, this property cannot be set to false. In such case, a BadRequest will be returned by the API.
- Endpoint which enables consuming the Voice API globally - Redirected by Sinch to the closest region.https://voice.api.sinch.com/v2/projects/{projectId}/services/{serviceId}
- North America 1 - Easthttps://us1.voice.api.sinch.com/v2/projects/{projectId}/services/{serviceId}
- South America 1 - Easthttps://br1.voice.api.sinch.com/v2/projects/{projectId}/services/{serviceId}
- Europe 1 - Centralhttps://eu1.voice.api.sinch.com/v2/projects/{projectId}/services/{serviceId}
- Asia Pacific 1 - Southeasthttps://sg1.voice.api.sinch.com/v2/projects/{projectId}/services/{serviceId}
- https://au1.voice.api.sinch.comhttps://au1.voice.api.sinch.com/v2/projects/{projectId}/services/{serviceId}
curl -i -X PATCH \
-u '<username>:<password>' \
'https://voice.api.sinch.com/v2/projects/{projectId}/services/{serviceId}' \
-H 'Content-Type: application/json' \
-d '{
"description": "Service with webhooks",
"callBehavior": {
"type": "WEBHOOK",
"webhook": {
"url": "https://example.com/webhook",
"fallbackUrl": "https://example.com/fallback"
}
}
}'Service updated.
The ID of the service used.
The secret of the service used.
The Id of the project associated with the call.
Timestamp (RFC 3339) indicating when the service was created.
Voice service name. No leading or trailing whitespaces allowed.
Indicates whether this service is set as the default for the project. The default service is used when no specific service is specified in API requests. Note: when updating a service, this property cannot be set to false. In such case, a BadRequest will be returned by the API.
Timestamp (RFC 3339) indicating when the service was last updated.
Omitted if no updates were performed on this service.
{ "serviceId": "6e124178-c29d-46a5-943c-5c2ae544aade", "projectId": "5c5bf2b1-35ae-4825-ab89-457e07bb60e6", "createTime": "2025-01-01T00:00:00Z", "updateTime": "2025-06-01T09:15:00Z", "name": "My Voice Service", "description": "Updated service description", "isDefault": true, "callBehavior": { "type": "WEBHOOK", "webhook": { … } } }